Update a work day template
curl --request PUT \
--url https://api.bold-factory.com/v1/people/workDayTemplates/{workDayTemplateReference} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"periods": [
{
"startTime": "<string>",
"endTime": "<string>",
"endNextDay": true
}
]
}
'import requests
url = "https://api.bold-factory.com/v1/people/workDayTemplates/{workDayTemplateReference}"
payload = {
"name": "<string>",
"periods": [
{
"startTime": "<string>",
"endTime": "<string>",
"endNextDay": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
periods: [{startTime: '<string>', endTime: '<string>', endNextDay: true}]
})
};
fetch('https://api.bold-factory.com/v1/people/workDayTemplates/{workDayTemplateReference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"periods": [
{
"startTime": "<string>",
"endTime": "<string>",
"endNextDay": true,
"hours": 123
}
],
"totalHours": 123,
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z"
}{
"type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
"title": "Filter parsing failed",
"status": 400,
"detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
"instance": "POST /v1/items/products/search",
"code": "FILTER_PARSING_FAILED"
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Products.Read",
"instance": "GET /v1/maintenance/assets",
"code": "MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/ENTITY_NOT_FOUND",
"title": "The entity was not found.",
"status": 404,
"detail": "Entity Product (pr_72f13bd8218h9823dfj9) was not found.",
"instance": "DELETE /v1/items/products/pr_72f13bd8218h9823dfj9",
"code": "ENTITY_NOT_FOUND"
}{
"type": "https://api.bold-factory.com/errors/CANNOT_MODIFY_CANCELLED_LINE",
"title": "Cannot modify cancelled line",
"status": 422,
"detail": "A cancelled line can't be modified.",
"instance": "PUT /v1/planning/purchaseOrders/po_sd786f78s78hgf8hg/lines/pol_n7893ytw3et7w4wfo5rf",
"code": "CANNOT_MODIFY_CANCELLED_LINE"
}Work Day Templates
Update a work day template
Requires People.ShiftScheduling.Write permissions
PUT
/
v1
/
people
/
workDayTemplates
/
{workDayTemplateReference}
Update a work day template
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Parámetros de ruta
⌘I